Get a modified Report from the Designer
Our sample projects and report templates can help you learn the basics of working with our products.When the user opens a different report in the designer, it assigns a new report object — the assigned-report event lets you capture it.
Handle the assigned-report event (Vue).
How it works. The event fires whenever the designer swaps its report, so your component always holds the current template the user is editing.
Handle the assigned-report event (Vue).
<script setup lang="ts">
import { Designer, Stimulsoft } from 'stimulsoft-reports-js-vuejs/designer'
var report = new Stimulsoft.Report.StiReport();
report.loadFile("Reports/SimpleList.mrt");
var designerOptions = new Stimulsoft.Designer.StiDesignerOptions();
function onAssignedReport(args: Stimulsoft.Designer.AssignedReportArgs) {
report = args.report;
}
</script>
<template>
<Designer :report="report" :options="designerOptions" @assigned-report="onAssignedReport" />
</template><Designer>— the native Vue designer component, bound toreportandoptions.@assigned-report→args.report— the new report object after the user opens or changes it.
How it works. The event fires whenever the designer swaps its report, so your component always holds the current template the user is editing.

When the user opens a different report in the designer, it assigns a new report object — the onAssignedReport event lets you capture it.

Handle the assigned-report event (Angular).
@Component({
    imports: [Designer],
    template: `<sti-designer [(report)]="report" [options]="designerOptions"
                            (onAssignedReport)="onAssignedReport($event)"></sti-designer>`
})
export class GetModifiedReportFromTheDesigner {
    report = new Stimulsoft.Report.StiReport();
    designerOptions = new Stimulsoft.Designer.StiDesignerOptions();

    onAssignedReport(args: Stimulsoft.Designer.AssignedReportArgs) {
        this.report = args.report;
    }
}

How it works. The event fires whenever the designer swaps its report, so your component always holds the current template the user is editing.

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.